#701 AM_PROG_CC_STDC is obsolete

patches
closed-accepted
pcmanfm (123)
5
2013-05-30
2013-01-15
jynnantonix
No

Build fails with error message-

configure.ac:13: error: 'AM_PROG_CC_STDC': this macro is obsolete.
You should simply use the 'AC_PROG_CC' macro instead.
Also, your code should no longer depend upon 'am_cv_prog_cc_stdc',
but upon 'ac_cv_prog_cc_stdc'.

Attached patch fixes the problem.

Discussion

  • jynnantonix

    jynnantonix - 2013-01-15

    Remove obsolete macro

     
  • Lonely Stranger

    Lonely Stranger - 2013-05-30
    • assigned_to: nobody --> lstranger
    • status: open --> closed-accepted
     
  • Lonely Stranger

    Lonely Stranger - 2013-05-30

    Thank you very much. Applied to pcmanfm GIT source.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks